Bug 200135 - kernel-xen* is built without pci frontend
kernel-xen* is built without pci frontend
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks: 188771
  Show dependency treegraph
 
Reported: 2006-07-25 13:21 EDT by Jón Fairbairn
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 13:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2006-07-25 13:21:13 EDT
Description of problem:
The kernel config for kernel-xen0 (and -xenU) contains the line

# CONFIG_XEN_PCIDEV_FRONTEND is not set

so that one cannot assign pci devices to a guest domain. As far as I know,
enabling this option shouldn't cause problems...

2.6.17-1.2157_FC5

How reproducible:
static!

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jón Fairbairn 2006-07-25 14:13:37 EDT
I should probably be referring to kernel-xen.
Same applies.
Comment 2 Stephen Tweedie 2006-09-20 13:17:37 EDT
$ grep PCI.*FRONT kernel-2.6.18-x86_64-xen.config
CONFIG_XEN_PCIDEV_FRONTEND=y

in latest rawhide (tested and working in i686 at least.)
Comment 3 Stephen Tweedie 2006-09-20 13:23:42 EDT
[root@rawhideU64 ~]# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:13:20:F3:F8:56
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Base address:0x20e0 Memory:50200000-50220000

[root@rawhideU64 ~]# /sbin/lspci
00:00.0 Ethernet controller: Intel Corporation 82566DC Gigabit Network Connection

from a rawhide x86_64 domU/dom0 with pciback delegation of an e1000 NIC to domU.

Note You need to log in before you can comment on or make changes to this bug.